.bannerImg {
    height: 326px;
    width: 100%;
    object-fit: cover;
}

.searchVector {
    width: 247px;
    height: 200px;
}

.searchMainContainer {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translatex(-50%);
}

.searchInputContainer {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 200px;
}

.searchHeading {
    font-size: var(--heading-s);
    font-weight: var(--weight-bolder);
    margin: 0;
}

.searchParagraph {
    font-size: var(--text-s);
    font-weight: var(--weight-semibold);
    margin: 5px 0;
}

.searchInputDiv {
    display: none;
    position: relative;
    width: "fit-content";
}

.searchInput {
    width: 180px;
    outline: none;
    height: 21px;
    border: 1px solid rgba(0, 0, 0, 0.338);
    border-radius: 0;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.searchInputButton {
    height: 25px;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-49%);
}

/* optimize for desktop */

@media (min-width: 102px) {
    .searchMainContainer {
        top: 50%;
        left: 10%;
        transform: translateY(-50%);
    }

    .searchInputDiv {
        display: block;
    }

    .bannerImg {
        height: 400px;
    }
}
